const express = require('express');
const router = express.Router();
const btcController = require('../controllers/btcController');

/**
 * Rota para pegar todos os valores de BTC
 * GET /btcvalues
 */
router.get('/btcvalues', btcController.getAllBtcValues);

/**
 * Rota para pegar um valor específico de BTC pelo ID
 * GET /btcvalues/:id
 */
router.get('/btcvalues/:id', btcController.getBtcValueById);

/**
 * Rota para pegar um valor de BTC pela data
 * GET /btcvalues/date/:date
 */
router.get('/btcvalues/date/:date', btcController.getBtcValueByDate);

module.exports = router;
